// ignore_for_file: require_trailing_commas

import 'package:flutter/rendering.dart';
import 'package:flutter/widgets.dart';
import 'package:spot/spot.dart';

/// Matchers for [Row] auto-generated by spot
///
/// ```dart
/// spot<Row>().printMatchers();
/// ```
/// Matchers for the properties of [Row] provided via [Diagnosticable.debugFillProperties]
extension RowMatcher on WidgetMatcher<Row> {
  /// Expects that direction of [Row] matches the condition in [match]
  WidgetMatcher<Row> hasDirectionWhere(MatchProp<Axis> match) {
    return hasDiagnosticProp<Axis>('direction', match);
  }

  /// Expects that direction of [Row] equals (==) [value]
  WidgetMatcher<Row> hasDirection(Axis? value) {
    return hasDiagnosticProp<Axis>(
        'direction', (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Expects that mainAxisAlignment of [Row] matches the condition in [match]
  WidgetMatcher<Row> hasMainAxisAlignmentWhere(
      MatchProp<MainAxisAlignment> match) {
    return hasDiagnosticProp<MainAxisAlignment>('mainAxisAlignment', match);
  }

  /// Expects that mainAxisAlignment of [Row] equals (==) [value]
  WidgetMatcher<Row> hasMainAxisAlignment(MainAxisAlignment? value) {
    return hasDiagnosticProp<MainAxisAlignment>('mainAxisAlignment',
        (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Expects that mainAxisSize of [Row] matches the condition in [match]
  WidgetMatcher<Row> hasMainAxisSizeWhere(MatchProp<MainAxisSize> match) {
    return hasDiagnosticProp<MainAxisSize>('mainAxisSize', match);
  }

  /// Expects that mainAxisSize of [Row] equals (==) [value]
  WidgetMatcher<Row> hasMainAxisSize(MainAxisSize? value) {
    return hasDiagnosticProp<MainAxisSize>(
        'mainAxisSize', (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Expects that crossAxisAlignment of [Row] matches the condition in [match]
  WidgetMatcher<Row> hasCrossAxisAlignmentWhere(
      MatchProp<CrossAxisAlignment> match) {
    return hasDiagnosticProp<CrossAxisAlignment>('crossAxisAlignment', match);
  }

  /// Expects that crossAxisAlignment of [Row] equals (==) [value]
  WidgetMatcher<Row> hasCrossAxisAlignment(CrossAxisAlignment? value) {
    return hasDiagnosticProp<CrossAxisAlignment>('crossAxisAlignment',
        (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Expects that textDirection of [Row] matches the condition in [match]
  WidgetMatcher<Row> hasTextDirectionWhere(MatchProp<TextDirection> match) {
    return hasDiagnosticProp<TextDirection>('textDirection', match);
  }

  /// Expects that textDirection of [Row] equals (==) [value]
  WidgetMatcher<Row> hasTextDirection(TextDirection? value) {
    return hasDiagnosticProp<TextDirection>('textDirection',
        (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Expects that verticalDirection of [Row] matches the condition in [match]
  WidgetMatcher<Row> hasVerticalDirectionWhere(
      MatchProp<VerticalDirection> match) {
    return hasDiagnosticProp<VerticalDirection>('verticalDirection', match);
  }

  /// Expects that verticalDirection of [Row] equals (==) [value]
  WidgetMatcher<Row> hasVerticalDirection(VerticalDirection? value) {
    return hasDiagnosticProp<VerticalDirection>('verticalDirection',
        (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Expects that textBaseline of [Row] matches the condition in [match]
  WidgetMatcher<Row> hasTextBaselineWhere(MatchProp<TextBaseline> match) {
    return hasDiagnosticProp<TextBaseline>('textBaseline', match);
  }

  /// Expects that textBaseline of [Row] equals (==) [value]
  WidgetMatcher<Row> hasTextBaseline(TextBaseline? value) {
    return hasDiagnosticProp<TextBaseline>(
        'textBaseline', (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Expects that renderObject of [Row] matches the condition in [match]
  WidgetMatcher<Row> hasRenderObjectWhere(MatchProp<RenderFlex> match) {
    return hasDiagnosticProp<RenderFlex>('renderObject', match);
  }

  /// Expects that renderObject of [Row] equals (==) [value]
  WidgetMatcher<Row> hasRenderObject(RenderFlex? value) {
    return hasDiagnosticProp<RenderFlex>(
        'renderObject', (it) => value == null ? it.isNull() : it.equals(value));
  }
}

/// Allows filtering [Row] by the properties provided via [Diagnosticable.debugFillProperties]
extension RowSelector on WidgetSelector<Row> {
  /// Creates a [WidgetSelector] that finds all [Row] where direction matches the condition
  WidgetSelector<Row> whereDirection(MatchProp<Axis> match) {
    return withDiagnosticProp<Axis>('direction', match);
  }

  /// Creates a [WidgetSelector] that finds all [Row] where direction equals (==) [value]
  WidgetSelector<Row> withDirection(Axis? value) {
    return withDiagnosticProp<Axis>(
        'direction', (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Creates a [WidgetSelector] that finds all [Row] where mainAxisAlignment matches the condition
  WidgetSelector<Row> whereMainAxisAlignment(
      MatchProp<MainAxisAlignment> match) {
    return withDiagnosticProp<MainAxisAlignment>('mainAxisAlignment', match);
  }

  /// Creates a [WidgetSelector] that finds all [Row] where mainAxisAlignment equals (==) [value]
  WidgetSelector<Row> withMainAxisAlignment(MainAxisAlignment? value) {
    return withDiagnosticProp<MainAxisAlignment>('mainAxisAlignment',
        (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Creates a [WidgetSelector] that finds all [Row] where mainAxisSize matches the condition
  WidgetSelector<Row> whereMainAxisSize(MatchProp<MainAxisSize> match) {
    return withDiagnosticProp<MainAxisSize>('mainAxisSize', match);
  }

  /// Creates a [WidgetSelector] that finds all [Row] where mainAxisSize equals (==) [value]
  WidgetSelector<Row> withMainAxisSize(MainAxisSize? value) {
    return withDiagnosticProp<MainAxisSize>(
        'mainAxisSize', (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Creates a [WidgetSelector] that finds all [Row] where crossAxisAlignment matches the condition
  WidgetSelector<Row> whereCrossAxisAlignment(
      MatchProp<CrossAxisAlignment> match) {
    return withDiagnosticProp<CrossAxisAlignment>('crossAxisAlignment', match);
  }

  /// Creates a [WidgetSelector] that finds all [Row] where crossAxisAlignment equals (==) [value]
  WidgetSelector<Row> withCrossAxisAlignment(CrossAxisAlignment? value) {
    return withDiagnosticProp<CrossAxisAlignment>('crossAxisAlignment',
        (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Creates a [WidgetSelector] that finds all [Row] where textDirection matches the condition
  WidgetSelector<Row> whereTextDirection(MatchProp<TextDirection> match) {
    return withDiagnosticProp<TextDirection>('textDirection', match);
  }

  /// Creates a [WidgetSelector] that finds all [Row] where textDirection equals (==) [value]
  WidgetSelector<Row> withTextDirection(TextDirection? value) {
    return withDiagnosticProp<TextDirection>('textDirection',
        (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Creates a [WidgetSelector] that finds all [Row] where verticalDirection matches the condition
  WidgetSelector<Row> whereVerticalDirection(
      MatchProp<VerticalDirection> match) {
    return withDiagnosticProp<VerticalDirection>('verticalDirection', match);
  }

  /// Creates a [WidgetSelector] that finds all [Row] where verticalDirection equals (==) [value]
  WidgetSelector<Row> withVerticalDirection(VerticalDirection? value) {
    return withDiagnosticProp<VerticalDirection>('verticalDirection',
        (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Creates a [WidgetSelector] that finds all [Row] where textBaseline matches the condition
  WidgetSelector<Row> whereTextBaseline(MatchProp<TextBaseline> match) {
    return withDiagnosticProp<TextBaseline>('textBaseline', match);
  }

  /// Creates a [WidgetSelector] that finds all [Row] where textBaseline equals (==) [value]
  WidgetSelector<Row> withTextBaseline(TextBaseline? value) {
    return withDiagnosticProp<TextBaseline>(
        'textBaseline', (it) => value == null ? it.isNull() : it.equals(value));
  }

  /// Creates a [WidgetSelector] that finds all [Row] where renderObject matches the condition
  WidgetSelector<Row> whereRenderObject(MatchProp<RenderFlex> match) {
    return withDiagnosticProp<RenderFlex>('renderObject', match);
  }

  /// Creates a [WidgetSelector] that finds all [Row] where renderObject equals (==) [value]
  WidgetSelector<Row> withRenderObject(RenderFlex? value) {
    return withDiagnosticProp<RenderFlex>(
        'renderObject', (it) => value == null ? it.isNull() : it.equals(value));
  }
}
